Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(14)

Issue 2762573005: Simplify handling of names in make_computed_style_base.py. (Closed)

Created:
10 months, 1 week ago by shend
Modified:
10 months ago
CC:
blink-reviews, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Simplify handling of names in make_computed_style_base.py. There is a lot of duplicate code in make_computed_style_base.py used to handle names. This patch refactors the code so that the Field class handles most of the naming logic. BUG=628043 Review-Url: https://codereview.chromium.org/2762573005 Cr-Commit-Position: refs/heads/master@{#458906} Committed: https://chromium.googlesource.com/chromium/src/+/a0ca178033ce1a45919921fa67a050b808d706de

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : Rebase #

Patch Set 4 : Rebase #

Patch Set 5 : Rebase #

Patch Set 6 : Rebase #

Patch Set 7 : Rebaes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+38 lines, -69 lines) Patch
M third_party/WebKit/Source/build/scripts/make_computed_style_base.py View 1 2 3 4 5 6 8 chunks +38 lines, -69 lines 0 comments Download

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 33 (27 generated)
shend
Hi Alan, this is the other part of the split CL, PTAL
10 months, 1 week ago (2017-03-20 22:10:49 UTC) #2
alancutter (OOO until 2018)
lgtm
10 months, 1 week ago (2017-03-21 04:42:34 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2762573005/120001
10 months ago (2017-03-22 05:13:33 UTC) #25
commit-bot: I haz the power
Prior attempt to commit was detected, but we were not able to check whether the ...
10 months ago (2017-03-22 07:14:32 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2762573005/120001
10 months ago (2017-03-22 22:34:16 UTC) #30
commit-bot: I haz the power
10 months ago (2017-03-22 22:44:57 UTC) #33
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/a0ca178033ce1a45919921fa67a0...

Powered by Google App Engine
This is Rietveld 408576698